summaryrefslogtreecommitdiffstats
path: root/linux-image.pkg/preinst
diff options
context:
space:
mode:
Diffstat (limited to 'linux-image.pkg/preinst')
-rw-r--r--linux-image.pkg/preinst18
1 files changed, 18 insertions, 0 deletions
diff --git a/linux-image.pkg/preinst b/linux-image.pkg/preinst
new file mode 100644
index 0000000..881ea9b
--- /dev/null
+++ b/linux-image.pkg/preinst
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Prevent the following ENOENT warning message on new installations:
+# run-parts: /etc/kernel/preinst.d: No such file or directory
+if ! [ -d /etc/kernel/preinst.d ]; then
+ exit 0
+fi
+
+first=true
+for arg in "${@}"; do
+ if ${first}; then
+ set --
+ first=false
+ fi
+ set -- "${@}" -a "${arg}"
+done
+
+run-parts "${@}" /etc/kernel/preinst.d